Subject: Fwd: Wishlist: Command to remove redundant eln cache directories [native-comp]

From: Juanma Barranquero <[email-masked]>
Date: Mon, 28 Nov 2022 09:59:06 +0100

`native-compile-prune-cache' does not remove the preloaded/ subdir (or its
contents) of the native-lisp/ directories, and consequently does not remove
the directories themselves.

For example, after running it I still have *.eln files in the following
directories (comp-native-version-dir = "29.0.50-c0f9fe8e"):

~/.emacs.d/.eln-cache/29.0.50-c0f9fe8e
D:\Devel\emacs\repo\trunk\native-lisp\29.0.50-57ea32b2\preloaded
D:\Devel\emacs\repo\trunk\native-lisp\29.0.50-7c1dd663\preloaded
D:\Devel\emacs\repo\trunk\native-lisp\29.0.50-a22e1c10\preloaded
D:\Devel\emacs\repo\trunk\native-lisp\29.0.50-c0f9fe8e\preloaded

which means the command deleted the stale cache in ~/.emacs.d/, but not the
ones in the source tree.

Is that intended?